### Function

# GdkX11 x11_device_manager_lookup

since: 4.0

#### Declaration [src]

    GdkDevice*
    gdk_x11_device_manager_lookup (
      GdkX11DeviceManagerXI2* device_manager,
      int device_id
    )

#### Description [src]

Returns the `GdkDevice` that wraps the given device ID.

Available since: 4.0

#### Parameters

`device_manager`

  Type: `GdkX11DeviceManagerXI2`

  A `GdkDeviceManager`

  The data is owned by the caller of the function.

`device_id`

  Type: `int`

  A device ID, as understood by the XInput2 protocol.

#### Return value

Type: `GdkX11DeviceXI2`

The `GdkDevice` wrapping the device ID, or `NULL` if the given ID doesn’t currently represent a device.

The data is owned by the called function.
The return value can be `NULL`.